Bug 143762 - mozilla uses 'xremote-client' when invoked on a remote machine (instead of spawning a new process)
Summary: mozilla uses 'xremote-client' when invoked on a remote machine (instead of sp...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-27 07:11 UTC by Satish Balay
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-04 18:08:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Satish Balay 2004-12-27 07:11:33 UTC
Description of problem:
When I ssh into a remote machine - and run mozilla on it - 'it ues
'mozilla-xremote-client' instead of running a 'mozilla-bin' process on the
remote machine.

Version-Release number of selected component (if applicable):
mozilla-1.7.3-17

How reproducible:

always

Steps to Reproduce:
1. run mozilla on localhost (say FC3)
2. ssh -Y remote-machine (say rawhide)
3. run 'mozilla' on remote machine.
  
Actual results:

'mozilla' on remote machine - uses ozilla-xremote-client - and somehow causes
mozilla on localhost to spwan a new window

Expected results:

a new mozilla-bin process on the remote-machine

Additional info:

If I run mozilla on a remote machine - I expect a 'mozilla-bin' process to run
on it (otherwise I could have easily opened the mozilla window on the localhost
- and not bothered to ssh into the remote box to invoke mozilla)

Comment 1 Christopher Blizzard 2005-01-04 18:08:03 UTC
Yeah, known problem and no good way to fix it.  You can't tell if a particular X
connection is "remote" or not.  If you want to fake it out, run 'LOGNAME=foo
firefox' on the remote machine and it should start up a new instance.

Comment 2 Satish Balay 2005-02-11 17:26:33 UTC
My workarround is:

ssh -Y remote-machine 'mozilla -foobar'


Note You need to log in before you can comment on or make changes to this bug.